# Class IllegalTargetException

Object
Throwable
Exception
RuntimeException
nu.xom.XMLException
nu.xom.WellformednessException
nu.xom.IllegalDataException
nu.xom.IllegalNameException
nu.xom.IllegalTargetException

All Implemented Interfaces:
  `Serializable`

public class IllegalTargetException extends IllegalNameException

Indicates an attempt to assign a processing instruction target that is not a legal XML 1.0 processing instruction target. This is either because the proposed target is not a legal non-colonized name or because it consists of the three letters "XML" in that order in any combination of case.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalTargetException(String message)`
Creates a new `IllegalTargetException` with a detail message.
`IllegalTargetException(String message, Throwable cause)`
Creates a new `IllegalTargetException` with a detail message and an underlying root cause.

## Method Summary

### Methods inherited from class IllegalDataException

`getData, setData`

### Methods inherited from class XMLException

`getCause, initCause`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalTargetException

public IllegalTargetException(String message)

Creates a new `IllegalTargetException` with a detail message.

Parameters:
  `message` - a string indicating the specific problem

### IllegalTargetException

public IllegalTargetException(String message, Throwable cause)

Creates a new `IllegalTargetException` with a detail message and an underlying root cause.

Parameters:
  `message` - a string indicating the specific problem
  `cause` - the original cause of this exception